Package Base Details: dolphin-emu-git

Git Clone URL: https://aur.archlinux.org/dolphin-emu-git.git (read-only, click to copy)
Keywords: dolphin emu emulator game gamecube gui nintendo remote revolution triforce wii wiimote
Submitter: None
Maintainer: dpeukert
Last Packager: dpeukert
Votes: 107
Popularity: 0.100784
First Submitted: 2011-08-20 13:05
Last Updated: 2021-01-10 20:26

Pinned Comments

dpeukert commented on 2020-04-10 12:34

The PKGBUILD for this package is hosted here (contributions are welcome!): https://gitlab.com/dpeukert/pkgbuilds/tree/main/dolphin-emu-git

Latest Comments

« First ‹ Previous ... 15 16 17 18 19 20 21 22 23 24 25 ... Next › Last »

AdrianoML commented on 2014-06-06 01:12

This commit broke it again for me: https://github.com/dolphin-emu/dolphin/commit/91840cb4c77651179480f4c9480928b097296343

Probably the same gcc 4.9 bug...

alucryd commented on 2014-06-02 12:35

Ok, removed i686 from the arch array, and added -fno-inline-functions only to the flags, no more editing yours. Thx for the heads up guys.

Also, now that I'm back, I'll ping Snowman about the bug report once he shows up on IRC.

linkmauve commented on 2014-05-25 12:02

i686 JIT will soon be removed (see https://dolphin-emu.org/blog/2014/05/19/obituary-32bit/), you should remove i686 from the arch array since it will become painfully slow.

alucryd commented on 2014-05-22 22:41

Thx for the insight guys. I'll contact Snowman on IRC if he does not react to the bug report. He's usually pretty quick though, just have to wait that Scimmia assigns the report to him. I will try to update the PKGBUILD as soon as something moves, can't promise though as I'm currently abroad.

delroth commented on 2014-05-22 21:51

Build issues with this package are caused by https://bugs.archlinux.org/task/40497 and https://gcc.gnu.org/bugzilla/show_bug.cgi?id=61214

Motivated people might want to rebuild their wxgtk package from ABS using --disable-visibility as a ./configure option. Otherwise, wait and hope that the Arch bug report I made suggesting a workaround gets considered :)

flacs commented on 2014-05-15 10:12

@alucryd: The problem is caused by -finline-functions which is enabled by -O3, so to work around this you could just use "-O3 -fno-inline-functions".

alucryd commented on 2014-05-09 09:58

I removed -DCMAKE_BUILD_TYPE='Release' as release is the default anyway. Also I'm modifying CFLAGS and CXXFLAGS in the PKGBUILD now so you don't even have to edit makepkg.conf. Enjoy.

alucryd commented on 2014-05-09 09:14

mathieuI: I was thinking about adding it as a dep, so here it is. Also added a workaround for the link error.

The problem was caused by -O3, which seems to be the default optimization level of a Release build type for cmake. Overriding it with -O2 does the trick, however please make sure that your CFLAGS and CXXFLAGS in /etc/makepkg.conf does not contain -O3, it seems that when 2 optimization flags are passed, the highest takes precedence.

mathieuI commented on 2014-05-09 08:32

Also, could you either add polarssl to the dependencies array, or make this package conflict with it?

alucryd commented on 2014-05-05 17:45

I encountered the linker issue last night on the nightly build server, GCC 4.9 is indeed most likely the culprit. Could somebody report this on dolphin's bug tracker?

boogerlad: Any compiled code is built with the flags you specify in /etc/makepkg.conf, just put march=native instead of your current arch, and remove mtune=generic. As for running dolphin, the JIT recompiler will use every extension available.
Also OpenMP texture decoding has had its checkbox for a long time, you might want to look at the GUI before looking at the code.